View Issue Details

IDProjectCategoryView StatusLast Update
13757Bug reports[All Projects] Survey participants (Tokens)public2018-06-15 15:43
ReporterriqclesAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionno change required 
Product Version3.9.x 
Target VersionFixed in Version 
Summary13757: Send mail : Error message : The email address is not valid: (From): root @ localhost
DescriptionWhen creating a blank questionnaire and adding dummy invitations (or real ones), when sending invitations, we get an error message that appears:

The email address is not valid: (From): root @ localhost

This is due to the absence of the administrator's email in the general page.

If we add the email, the sending works.
If we delete it, it does not work anymore (it takes the default value).

your-email@example.net

Steps To ReproduceTo reproduce:
1. create an invitational questionnaire
2. add fake invitations
3. send these invitations

tested on version 3.9.0 + 180604
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.9.0 + 180604
I will donate to the project if issue is resolvedNo
BrowserFirefox 52.7
Database & DB-VersionPostgreSQL 9.4
Operating System (Server)Centos 7
Webserver software & versionApache 2.4
PHP Version5.5

Relationships

related to 13759 closedDenisChenu No admin name and admin email is set at Survey creation 

Activities

DenisChenu

DenisChenu

2018-06-12 11:57

developer   ~48060

About survey create : just create ? Nothing else ?
 The issue seems more here : prevously at survey creation : username/useradmin was set to current user :)
dominikvitt

dominikvitt

2018-06-12 13:19

developer   ~48064

This issue isn't really a bug but expected behavior.
Bug fix 13715 of yesterday fixed email invitations, so now it takes site admin name and email from Global settings if there is absence of admin name and email in the survey General settings.
You should put a valid email address in Global settings.

https://github.com/LimeSurvey/LimeSurvey/commit/dbcc03b4d8786c712ca8cc3c393692ef85c9b45b
c_schmitz

c_schmitz

2018-06-15 15:43

administrator   ~48170

Version 3.12.1 Build 180616 released

Issue History

Date Modified Username Field Change
2018-06-11 19:13 riqcles New Issue
2018-06-12 11:57 DenisChenu Note Added: 48060
2018-06-12 12:31 DenisChenu Relationship added related to 13759
2018-06-12 12:59 dominikvitt Assigned To => dominikvitt
2018-06-12 12:59 dominikvitt Status new => assigned
2018-06-12 13:19 dominikvitt Status assigned => resolved
2018-06-12 13:19 dominikvitt Resolution open => no change required
2018-06-12 13:19 dominikvitt Note Added: 48064
2018-06-15 15:43 c_schmitz Note Added: 48170
2018-06-15 15:43 c_schmitz Status resolved => closed